Upgrade failure from 1.2.2 to 1.2.3 RELEASE



  • Trying to auto-update from the latest 1.2.2 version (downloaded and installed one week ago) to 1.2.3 release.

    The web interface successfully download the fifty-something MB download, begin the update process and finish one or two seconds later with the error "Update cannot continue".  At the bottom of the browser show the message "Warning: unlink(/root/latest.tgz): No such file or directory in /usr/local/www/system_firmware_auto.php on line 162".

    The router continue to work with 1.2.2 even after a reboot.


  • Rebel Alliance Developer Netgate

    More information is needed before anyone can give a solid answer.

    Is this embedded or full install?

    How did you update? Manual firmware upgrade?

    If you did try to update from the WebGUI, have you tried a console upgrade?

    There may be more suggestions here:
    http://doc.pfsense.org/index.php/Upgrade_Guide



  • I'm seeing the same thing with auto update, not sure why. The manual update and console update appear to work fine. Looking into it.



  • The version I am using is the full version.  As I specified in the original post, it was an auto update (system tab -> firmware -> auto-update).

    I did not try from the console.  As the installation procedure seemed buggy, I decided to wait for a correction.



  • Only the auto-update is affected, the other update methods work fine.



  • shell into the box and upgrade from console and point to the file you want to upgrade to. Happened to me and i pointed it to the ncsa server and about 10 minutes later i had 1.2.3.


Log in to reply